MoreParserInternal::State Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
MoreParserInternal::State Struct Reference

Internal: the state of a MoreParser. More...

## Public Member Functions
| State ()
| constructor More...
void | setDefaultColorList (int version)
| set the default color map More...

## Public Attributes
std::multimap< std::string, MWAWEntry > | m_typeEntryMap
| a map type -> entry More...
MWAWColor | m_backgroundColor
| the organization back page color More...
std::vector< MWAWColor > | m_colorList
| a list colorId -> color More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a MoreParser.

## Constructor & Destructor Documentation

MoreParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

void MoreParserInternal::State::setDefaultColorList | ( | int | version | ) |

set the default color map

Referenced by State().

## Member Data Documentation

int MoreParserInternal::State::m_actPage

the actual page

MWAWColor MoreParserInternal::State::m_backgroundColor

the organization back page color

std::vector<MWAWColor> MoreParserInternal::State::m_colorList

a list colorId -> color

Referenced by setDefaultColorList().

int MoreParserInternal::State::m_footerHeight

the footer height if known

int MoreParserInternal::State::m_headerHeight

the header height if known

int MoreParserInternal::State::m_numPages

the number of page of the final document

std::multimap<std::string, MWAWEntry> MoreParserInternal::State::m_typeEntryMap

a map type -> entry

The documentation for this struct was generated from the following file:

- MoreParser.cxx